stages:
  - test
  - build
  - test2
  - dev
  - stage
  - prod
install_env:
   stage: test
   script:
     - echo "test 1 ---------------------------" 

run_test:
   stage: test
   script:
     - echo "test 2 ---------------------------"

linters:
   stage: test
   script:
     - echo "test 3 ---------------------------"

build:
  stage: build
  script:
    - echo "test 4 ---------------------------"

test_after_build:
  stage: test2
  script:
    - echo "test after build -----------------"

deploy website:
  stage: dev
  script:
    - cp -r ./html/* /var/www/html
    - sudo rm -f /var/www/html/site.zip; zip -r /var/www/html/site.zip ./html
  when: manual
  only:
    refs:
      - main
      - /^release.$/

